<template>
  <v-main>
    <v-row no-gutters>
      <v-col cols="12" sm="4">
        <v-card class="pa-2"  outlined tile>
          <v-layout>
            <p v-if="$fetchState.pending">Fetching News...</p>
            <p v-else-if="$fetchState.error">An error occurred :(</p>
            <!-- <div v-for="item in filteredItems">
                {{ item.title }}
              </div>
              <v-spacer></v-spacer> -->
            <div v-else v-for="item in filteredItems1" :key="item.id">
              <v-img
                :src="`https://api20.cicdhosting.com${item.images[0].url}`"
                height="150"
                width="180"
              ></v-img>
              <v-card-text>{{ item.title }}</v-card-text>
              <v-card-actions>
                <v-btn text color="orange" x-small
                  ><nuxt-link :to="`news/${item.slug}`"
                    >Readmore</nuxt-link
                  ></v-btn
                >
              </v-card-actions>
            </div>
          </v-layout>

          <v-layout>
            <div v-for="item in filteredItems2" :key="item.id">
              <v-img
                :src="`https://api20.cicdhosting.com${item.images[0].url}`"
                height="150"
                width="170"
              ></v-img>
              <v-card-text>{{ item.title }}</v-card-text>
              <v-card-actions>
                <v-btn text color="orange" x-small
                  ><nuxt-link :to="`news/${item.slug}`"
                    >Readmore</nuxt-link
                  ></v-btn
                >
              </v-card-actions>
            </div>
            <!-- <div>3rd News</div>
              <v-spacer></v-spacer>
              <div>4th News</div> -->
          </v-layout>
        </v-card>
      </v-col>
      <v-col cols="12" sm="4">
        <v-card  class="pa-2" outlined tile>
          <div v-for="item in filteredItems3" :key="item.id">
            <v-img
              :src="`https://api20.cicdhosting.com${item.images[0].url}`"
              aspect-ratio="2.75"
            ></v-img>
            <v-card-text>{{ item.title }}</v-card-text>
            <v-card-actions>
              <v-btn text color="orange" x-small
                ><nuxt-link :to="`news/${item.slug}`"
                  >Readmore</nuxt-link
                ></v-btn
              >
            </v-card-actions>
            <!-- <div v-html="getLink3"> </div> -->
            <div
            class="fb-comments"
            v-bind:data-href="getLink3"
            data-width="370"
            data-numposts="3"
          ></div>
          </div>

          
        </v-card>
      </v-col>
      <v-col cols="12" sm="4">
        <v-card  class="pa-2" outlined tile>
          <lite-youtube
            videoid="mU041cUsJYc"
            style="background-image: url('https://i.ytimg.com/vi/ogfYd705cRs/hqdefault.jpg');"
          >
            <button type="button" class="lty-playbtn">
              <span class="lyt-visually-hidden"
                >Play Video: Keynote (Google I/O '18)</span
              >
            </button>
          </lite-youtube>
        </v-card>
        <v-card  class="pa-2" outlined tile>
          <div v-for="item in filteredItems4" :key="item.id">
            <v-img
              :src="`https://api20.cicdhosting.com${item.images[0].url}`"
              aspect-ratio="2.75"
            ></v-img>
            <v-card-text>{{ item.title }}</v-card-text>
            <v-card-actions>
              <v-btn text color="orange" x-small
                ><nuxt-link :to="`news/${item.slug}`"
                  >Readmore</nuxt-link
                ></v-btn
              >
            </v-card-actions>
          </div>
        </v-card>
        <!-- <div style="background:red; height:200px;margin-top:10px">
            full width
          </div>
          <div style="background:red; height:200px;margin-top:10px">
            full width
          </div> -->
      </v-col>
    </v-row>
  </v-main>
</template>

<script>
export default {
  name: "Section1",
  data() {
    return {
      mountains: []
    };
  },
  
  computed: {
    filteredItems1: function() {
      return this.mountains.slice(0, 2);
    },
    filteredItems2: function() {
      return this.mountains.slice(3, 5);
    },
    filteredItems3: function() {
      return this.mountains.slice(6, 7);
    },
    filteredItems4: function() {
      return this.mountains.slice(8, 9);
    },
    getLink3: function () {
      // `this` points to the vm instance
      let link='https://perfectpolitics.in/news/'+this.mountains.slice(6, 7)[0].slug
      return link
    }
  },
  async fetch() {
    this.mountains = await fetch(process.env.apiLink).then(res => res.json());
  }
};
</script>

<style scoped>
a {
  text-decoration: none;
}
</style>
